Denunciar

¡No puedo instalar Wine en mi Ubuntu o linux 4.1! [Cerrado]

Haz una pregunta xCristianSx 8Publicaciones martes, 9 de agosto de 2016Fecha de inscripción domingo, 14 de agosto de 2016 Última intervención - Última respuesta: 16 ago 2016 a las 09:59 por AlexTBX
Hola, tengo un problema con mi ubuntu o linux 4.1 (Canaima Docente), lo que pasa es que yo pruebo instalar wine para ya sabes, instalar programas, jugar y más, Pero yo lo instalo normal mente y no me aparece en inicio, ni en herramientas ¡En ningún lugar!, intento instalar por comando mediante la terminar de root pero nada y tambien intento por el centro de software y no puedo instalar el wine :(.... ¿Alguna Solución? y gracias de antemano.

Información sobre mi linux:
- Canaima Docente (4.1)
- 2 GB.
- No tiene Gestor de paquetes Synaptic, en vez de eso, tiene Centro de software.



Vota
+0
plus moins
Hola xCristianSx,

Wine no es un programa que abres, una vez lo instalas puedes intentar ejecutar ".exe" para windows con wine.

Te recomiendo que pruebes a instalar "playonlinux" tiene una interfaz gráfica que será más intuitiva para ti.

Un saludo,
xCristianSx 8Publicaciones martes, 9 de agosto de 2016Fecha de inscripción domingo, 14 de agosto de 2016 Última intervención - 13 ago 2016 a las 03:23
¡Ok, gracias pero..!.. ¿Me podrías decir como instalar un programa o utilizar un programa desde PlayOnLinux?.. Y ¿Como puedo instalar wine en (Canaima 4.1 x64 bits "Docente") mediante el terminal de root?. Además, cuando tenia el wine instalado, le daba Doble Click al archivo .exe pero no abria, buscaba el wine para ponerlo como predeterminado pero no sale.. :/.

- Yo instale wine, pero por curiosidad, lo desintale y de todas formas instale q4wine, pero no lo puedo utilizar porque me sale una alerta o error de "Por ejemplo":

- No tienes instalado wine "x64 bits", y más abajo me sale los comandos, pongo esos comandos en la terminal de root y me dice otro error de paquetes dll, o nosé que no se pueden instalar e etc.
xCristianSx 8Publicaciones martes, 9 de agosto de 2016Fecha de inscripción domingo, 14 de agosto de 2016 Última intervención - 13 ago 2016 a las 21:54
Mira lo que me sale Cuando intento abrir un programa por el terminal con wine, o uso q4wine: http://imgur.com/m7HLrw6 . En la imagen, se ve que me manda a poner unos comandos, que creo que son para instalar el wine para x64 bits.

En esta siguiente captura, me manda un error al poner los comandos que me mandaba la imagen anterior: http://imgur.com/OBI2aCf
AlexTBX 52Publicaciones jueves, 14 de julio de 2016Fecha de inscripción jueves, 15 de septiembre de 2016 Última intervención - 14 ago 2016 a las 00:40
Hola Cristian,

Prueba a ejecutar esto en una terminal:
  • sudo apt-get update
  • sudo apt-get remove wine q4wine
  • sudo apt-get install wine-gecko2.21 wine-gecko2.21:i386 wine-mono0.0.8 wine1.6 wine1.6-amd64 wine1.6-i386:i386 winetricks

Espero que con esto se arreglen tus problemas al ejecutar wine.

Por otro lado PlayOnLinux se encarga de instalar las versiones que necesites de wine, etc... Para instalar un programa con playonlinux es tan fácil como:
  • Abres PlayOnLinux
  • Seleccionas Instalar en la barra superior
  • En la parte inferior de la ventana que sale haces click en "Instalar un programa no listado" (esto se usa si el programa que vas a instalar no aparece en la lista de programas de PlayOnLinux)
  • Sigues los pasos y acabas seleccionando el ejecutable de windows a instalar.

En caso de que tu app esté en la lista, seleccionala y sigue los pasos.

Un saludo.
xCristianSx 8Publicaciones martes, 9 de agosto de 2016Fecha de inscripción domingo, 14 de agosto de 2016 Última intervención - 14 ago 2016 a las 17:27
Lo de los comandos de la terminal, no me funciona. No encuentra los paquetes, y lo de playonlinux, vere si me funciona :)
AlexTBX 52Publicaciones jueves, 14 de julio de 2016Fecha de inscripción jueves, 15 de septiembre de 2016 Última intervención - 16 ago 2016 a las 09:59
Hola Cristian,

Si cuando lanzas este comando:
  • sudo apt-get install wine-gecko2.21 wine-gecko2.21:i386 wine-mono0.0.8 wine1.6 wine1.6-amd64 wine1.6-i386:i386 winetricks

Te dice que no encuentra los paquetes, es probable que te falte algún repositorio.

Aunque la paquetería de wine debería estar incluida en los repos de Ubuntu, no se si Canaima lleva los repositorios estándar. Por lo que puedes probar esto:
  • sudo add-apt-repository ppa:ubuntu-wine/ppa
  • sudo apt-get update
  • sudo apt-get install wine-gecko2.21 wine-gecko2.21:i386 wine-mono0.0.8 wine1.6 wine1.6-amd64 wine1.6-i386:i386 winetricks

De todas formas si te funciona con PlayOnLinux es mejor dejar que PlayOnLinux instale las versiones de wine necesarias.

Un saludo,

Los miembros obtienen más respuestas que los usuarios anónimos.

Ser miembro te permite llevar un seguimiento detallado de tus consultas.

Ser miembro te permite disfrutar de opciones adicionales.

¿Todavía no eres usuario?

¡Inscríbete, es gratis y toma menos de un minuto!